package com.ruoyi.web.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "ReviewSceneChangeTaskCreateRequest", description = "新建场景")
@Data
public class ReviewSceneChangeTaskCreateRequest {

    /**
     * 章节
     */
    @ApiModelProperty("章节")
    private String chapter;

    /**
     * 审查标准id
     */
    @ApiModelProperty("审查标准id")
    private Long standardId;

    /**
     * 审查标准
     */
    @ApiModelProperty("审查标准")
    private String standard;

    /**
     * 审查要点id
     */
    @ApiModelProperty("审查要点id")
    private Long keypointId;

    /**
     * 审查要点
     */
    @ApiModelProperty("审查要点")
    private String keypoint;

    /**
     * 审查细则id
     */
    @ApiModelProperty("审查细则id")
    private Long detailsId;

    /**
     * 审查细则
     */
    @ApiModelProperty("审查细则")
    private String details;

    /**
     * 操作（ADD DELETE UPDATE）
     */
    @ApiModelProperty(value = "操作" , notes = "[ADD DELETE UPDATE]")
    private String operation;

    /**
     * 当 operation 为 ADD 时该字段为空
     */
    @ApiModelProperty(value = "场景旧值", notes = "当 operation 为 ADD 时该字段为空")
    private String oldText;

    /**
     * 当 operation 为 DELETE 时该字段为空
     */
    @ApiModelProperty(value = "场景新值", notes = "当 operation 为 DELETE 时该字段为空")
    private String newText;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

    /**
     * 审查场景id
     * 若为修改、删除任务时，此id在创建任务时赋值
     * 若为新增任务时，此id在审批通过并保存新场景后赋值
     */
    @ApiModelProperty(value = "审查场景id", notes = "1.若为修改、删除任务时，此id在创建任务时赋值; 2.若为新增任务时，此id在审批通过并保存新场景后赋值 ")
    private Long reviewSceneId;

}
